This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 99416 - Bad mm compile options within mm.spec file
Bad mm compile options within mm.spec file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mm (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks: 87937
  Show dependency treegraph
 
Reported: 2003-07-18 16:53 EDT by Clifford Perry
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-19 09:41:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Clifford Perry 2003-07-18 16:53:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030708

Description of problem:
Ideally I would have liked to re-open bugzilla item #74543 as this is directly
releated. 

Please review the following :

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=74543

Being very familiar with this whole errata and the cause of this. I have been
reviewing the mm.spec file as released for the mm-1.1.3-8.src.rpm for Redhat
Enterprise Linux AS and ES 2.1 and noticed that this rpm package is being
recompiled with the same options as used within the 'bad' mm package previously
released by Redhat for its 7.x and 8.0 OS versions. It will be only a matter of
time before multiple people notice and get effected by this same issue on the
RHEL AS and ES 2.1 platform and I would recommend having a fix now since it is a
known issue that you have fixed previously, but somehow missed when you splitted
the 7.x branch off to start the AS/ES  development cycle in preperation to be
released. 

Taken from the mm-1.1.3-8.src.rpm mm.spec file:

<snip>
%configure --with-shm=IPCSHM --with-sem=IPCSEM
<snip>
%changelog
* Wed Jul 24 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.3-8
- incorporate fix for opening of temporary files with incorrect flags from
  Marcus Meissner
- don't advertise standard locations from mm-config (#59504)
- set semaphore ownerships when changing shared memory ownerships (#68896)
- force use of ipcshm/ipcsem (default is ipcshm/fcntl) (#68895)

This as per the errata http://rhn.redhat.com/errata/RHBA-2002-273.html
 previously fixed the issue, but then RedHat is seems never thought to fix for
their ES and AS 2.1 releases. Taken from the mm-1.1.3-11.src.rpm mm.spec file
for 7.3 it has the following updates/changes:
<snip>
+%configure --with-shm=IPCSHM --with-sem=FCNTL
<snip>
+* Wed Dec  4 2002 Joe Orton <jorton@redhat.com> 1.1.3-11
+- rebuild in correct environment
+
+* Thu Nov  7 2002 Joe Orton <jorton@redhat.com> 1.1.3-9
+- revert back to using ipcshm/fcntl (#74543, #74496)
+

Please can we have this issue addressed for the ES and AS 2.1 mm packages ?

Thanks
Clifford
Rackspace Managed Hosting. 


Version-Release number of selected component (if applicable):
mm-1.1.3-8.src.rpm

How reproducible:
Sometimes

Steps to Reproduce:
1.Get a busy web server with lots of php script running with apache and mm
2.run over time 
3.watch the avaliable free semaphore arrays disapear
    

Actual Results:  Apache will fail to start and you will see similar things as
the following when doing an ipcs -l and -u will show current used and also total
avaliable. 

Expected Results:  We shouldnt have a memory leak somewhere which causes this. 

Additional info:

Diff between the new 7.3 mm.spec and the ES 2.1 mm.spec :

# diff -u mm.spec 7.3/mm-new/mm.spec 
--- mm.spec     Fri Jul 18 14:58:27 2003
+++ 7.3/mm-new/mm.spec  Fri Jul 18 15:24:08 2003
@@ -3,13 +3,12 @@
 Name: mm
 Version: 1.1.3
 Summary: A shared memory library.
-Release: 8
+Release: 11
 Group: System Environment/Libraries
 URL: http://www.engelschall.com/sw/mm/
 Source0: http://www.engelschall.com/sw/mm/mm-%{version}.tar.gz
 Patch0: mm-1.1.3-tmpfile.dif
 Patch1: mm-1.1.3-stdpaths.patch
-Patch2: mm-1.1.3-ipcsem-perms.patch
 License: Apache Software License
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 
@@ -32,11 +31,10 @@
 %setup0 -q
 %patch0 -p1 -b .tmpfile
 %patch1 -p1 -b .stdpaths
-%patch2 -p1 -b .ipcsem-perms
 
 %build
 CFLAGS="$RPM_OPT_FLAGS -fPIC" ; export CFLAGS
-%configure --with-shm=IPCSHM --with-sem=IPCSEM
+%configure --with-shm=IPCSHM --with-sem=FCNTL
 make
 ./mm_test
 
@@ -67,6 +65,12 @@
 %{_mandir}/*/*
 
 %changelog
+* Wed Dec  4 2002 Joe Orton <jorton@redhat.com> 1.1.3-11
+- rebuild in correct environment
+
+* Thu Nov  7 2002 Joe Orton <jorton@redhat.com> 1.1.3-9
+- revert back to using ipcshm/fcntl (#74543, #74496)
+
 * Wed Jul 24 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.3-8
 - incorporate fix for opening of temporary files with incorrect flags from
   Marcus Meissner
#
Comment 1 walter 2003-08-11 09:36:25 EDT
Nothing to add.

Is there a plan to fix this bug?

Thanks
Walter
Comment 4 James R Roe 2003-10-19 15:07:24 EDT
I have now been "bitten" by this bug on a production ES server - and I though 
we had seen the last of it when it got fixed for the 7.x releases.

When might we expect to see the fix we already know works applied to 
the "premium" Red Hat product?
Comment 7 John Flanagan 2003-12-19 09:41:11 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-215.html

Note You need to log in before you can comment on or make changes to this bug.